<article <?php post_class("wd-post"); ?>>
  <?php
  $thecx_post_cloudsound = get_post_meta(get_the_ID(), 'thecx_cloudsound', true);
  if($thecx_post_cloudsound != '') {
  ?>
  <div class="wd-post__thumbnail">
    <?php  echo thecx_get_embedded_media( array('audio','iframe') ); ?>
  </div>
  <?php } ?>

  <div class="wd-post__content">
    <h3 class="wd-post__title">
      <a href="<?php esc_url(the_permalink()); ?>"><?php the_title(); ?></a>
    </h3>
    <ul class="wd-post__meta clearfix">
      <li><?php echo get_the_date(); ?></li>
      <li><?php echo esc_html__('By:','thecx');  the_author() ?></li>
      <li><?php echo esc_html__('Category:','thecx');   the_category(', '); ?></li>
      <li><?php comments_number( 'no comments', 'one comment', '% comments' ); ?></li>
    </ul>
    <div class="wd-post__body">
      <p><?php echo wp_trim_words(get_the_content(),60); ?></p>
    </div>
    <div class="wd-post__read-more">
      <a href="<?php the_permalink(); ?>">
        <?php echo esc_html__('Read More', 'thecx'); ?>
        <img src="<?php echo get_template_directory_uri()."/images/more.svg" ?>" alt="<?php echo esc_attr__('icon','thecx') ?>">
      </a>
    </div>
  </div>
</article>

