<?php

class TheCX_Customizer_Controls_Custom_CSS_JS extends thecx_Customizer_Controls {

    public $controls = array();

    public function __construct() {
        $this->section = 'thecx_custom_js';
        $this->priority = new thecx_Customizer_Priority(49, 1);

        parent::__construct();

        add_action( 'customize_register', array( $this, 'add_controls' ), 30 );
        add_action( 'customize_register', array( $this, 'set_controls' ), 35 );
    }

    public function add_controls( $wp_customize ) {
        $this->controls = array(
            'wd_options_array[thecx_theme_custom_js]' => array(
                'label' => esc_html__( 'Custom JavaScript', 'thecx' ),
                'type' => 'textarea',
                'default' => thecx_get_option('thecx_theme_custom_js'),
                'description' => 'Custom JavaScript',
                'input_attrs' => array(
                    'placeholder' => esc_html__('Put your JavaScript here','thecx')
                )
            ),
        );

        return $this->controls;
    }

}

new TheCX_Customizer_Controls_Custom_CSS_JS();
