<?php

function import_init()
{
    if (class_exists('WebdeviaMainPlugin')) {
        add_theme_page('Import Demo Content', 'Import Demo Content', 'edit_theme_options', 'thecx-demo-content', 'thecx_import_demo');
    }
}

add_action('admin_menu', 'import_init');

if (!function_exists('thecx_import_demo')) {
    function thecx_import_demo()
    {
?>
   <div class="wd-demo-importer">
      <div id="wd-metaboxes-general" class="wrap wd-page wd-page-info" style="padding: 20px;background-color: #FFF; padding-left: 50px;">

                <h1 class="wd-importer_title">Import a Demo</h1>
                <p class="wd-importer_sub-title">Choose a pre-built website for starting a quick design process.</p>

                <div class="import-demo-screenshot form-control wd-form-element" id="Demo_selector">
                    <div class="demo-item"><input type="radio" value="demo-1">
                        <label class="demo-1 demos_label" for="demo-1"></label>
                        <a href="#TB_inline?&width=600&height=550&inlineId=my-content-id" name="demo_screenshot" id="demo-1" class="thickbox">Import Demo (Visual Composer)</a>
                        
                        <h3>Call Center</h3>
                    </div>

                    <div class="demo-item"> <input type="radio" value="demo-2">
                        <label class="demo-2 demos_label" for="demo-2"></label>
                        <a href="#TB_inline?&width=600&height=550&inlineId=my-content-id"  name="demo_screenshot" id="demo-2" class="thickbox">Import Demo (Visual Composer)</a>
                        <h3>CRM Software</h3>
                    </div>

                    <div class="demo-item"> <input type="radio" value="demo-3" >
                        <label class="demo-3 demos_label" for="demo-3"></label>
                        <a href="#TB_inline?&width=600&height=550&inlineId=my-content-id" name="demo_screenshot" id="demo-3" class="thickbox">Import Demo (Visual Composer)</a>
                        <h3>Cloud Communication </h3>
                    </div>

                    <div class="demo-item"> <input type="radio" value="demo-4" >
                        <label class="demo-4 demos_label" for="demo-4"></label>
                        <a href="#TB_inline?&width=600&height=550&inlineId=my-content-id" name="demo_screenshot" id="demo-4" class="thickbox">Import Demo (Visual Composer)</a>
                        <h3>Market Search</h3>
                    </div>

                    <div class="demo-item"> <input type="radio" value="demo-5" >
                        <label class="demo-5 demos_label" for="demo-5"></label>
                        <a href="#TB_inline?&width=600&height=550&inlineId=my-content-id" name="demo_screenshot" id="demo-5" class="thickbox">Import Demo (Visual Composer)</a>
                        <h3>Outsourcing</h3>
                    </div>

                    <div class="demo-item"> <input type="radio" value="demo-6" >
                        <label class="demo-6 demos_label" for="demo-6"></label>
                        <a href="#TB_inline?&width=600&height=550&inlineId=my-content-id" name="demo_screenshot" id="demo-6" class="thickbox">Import Demo (Visual Composer)</a>
                        <h3>Chat App</h3>
                    </div>

                    <div class="demo-item"> <input type="radio" value="demo-7" >
                        <label class="demo-7 demos_label" for="demo-7"></label>
                        <a href="#TB_inline?&width=600&height=550&inlineId=my-content-id" name="demo_screenshot" id="demo-7" class="thickbox">Import Demo (Visual Composer)</a>
                        <h3>Agency</h3>
                    </div>

                    <div class="demo-item"> <input type="radio" value="demo-8" >
                        <label class="demo-8 demos_label" for="demo-8"></label>
                        <a href="#TB_inline?&width=600&height=550&inlineId=my-content-id" name="demo_screenshot" id="demo-8" class="thickbox">Import Demo (Visual Composer)</a>
                        <h3>Small Business</h3>
                    </div>

                    <div class="demo-item"> <input type="radio" value="demo-9" >
                        <label class="demo-9 demos_label" for="demo-9"></label>
                        <a href="#TB_inline?&width=600&height=550&inlineId=my-content-id" name="demo_screenshot" id="demo-9" class="thickbox">Import Demo (Visual Composer)</a>
                        <h3>Outsourcing 2</h3>
                    </div>

                    <div class="demo-item"> <input type="radio" value="demo-10" >
                        <label class="demo-10 demos_label" for="demo-10"></label>
                        <a href="#TB_inline?&width=600&height=550&inlineId=my-content-id" name="demo_screenshot" id="demo-10" class="thickbox">Import Demo (Visual Composer)</a>
                        <h3>Startup</h3>
                    </div>

                    <div class="demo-item"> <input type="radio" value="demo-11" >
                        <label class="demo-11 demos_label" for="demo-11"></label>
                        <a href="#TB_inline?&width=600&height=550&inlineId=my-content-id" name="demo_screenshot" id="demo-11" class="thickbox">Import Demo (Visual Composer)</a>
                        <h3>Startup RTL</h3>
                    </div>

                    <div class="demo-item"> <input type="radio" value="demo-12" >
                        <label class="demo-12 demos_label" for="demo-12"></label>
                        <a href="#TB_inline?&width=600&height=550&inlineId=my-content-id" name="demo_screenshot" id="demo-12" class="thickbox">Import Demo (Visual Composer)</a>
                        <h3>Survey Services</h3>
                    </div>

                    <div class="demo-item"> <input type="radio" value="demo-13" >
                        <label class="demo-13 demos_label" for="demo-13"></label>
                        <a href="#TB_inline?&width=600&height=550&inlineId=my-content-id" name="demo_screenshot" id="demo-13" class="thickbox">Import Demo (Visual Composer)</a>
                        <h3>Digital Transformation</h3>
                    </div>

                    <div class="demo-item"> <input type="radio" value="demo-14" >
                        <label class="demo-14 demos_label" for="demo-14"></label>
                        <a href="#TB_inline?&width=600&height=550&inlineId=my-content-id" name="demo_screenshot" id="demo-14" class="thickbox">Import Demo (Visual Composer)</a>
                        <h3>Video Call App</h3>
                    </div>

                    <div class="demo-item"> <input type="radio" value="demo-15">
                        <label class="demo-15 demos_label" for="demo-15"></label>
                        <a href="#TB_inline?&width=600&height=550&inlineId=my-content-id"  name="demo_screenshot" id="demo-15" class="thickbox">Import Demo (Visual Composer)</a>
                        <h3>POS</h3>
                    </div>

                    <div class="demo-item"><input type="radio" value="demo-16" >
                        <label class="demo-16 demos_label" for="demo-16"></label>
                        <a href="#TB_inline?&width=600&height=550&inlineId=my-content-id" name="demo_screenshot" id="demo-16" class="thickbox">Import Demo (Visual Composer)</a>
                        <h3>Corporate</h3>
                    </div>

                    <div class="demo-item"> <input type="radio" value="demo-17" >
                        <label class="demo-17 demos_label" for="demo-17"></label>
                        <a href="#TB_inline?&width=600&height=550&inlineId=my-content-id"  name="demo_screenshot" id="demo-17" class="thickbox">Import Demo (Visual Composer)</a>
                        <h3>Corporate 2</h3>
                    </div>
                </div>                
                
                <div class="wd-importer-notice">
                    <h4><strong><?php echo esc_html__('IMPORTANT INSTRUCTIONS', 'thecx') ?></strong></h4>
                    <p>- Make sure to activate required plugins prior to import a demo.</p>
                    <p>- <?php echo esc_html__('Depending of your server\'s settings, you may need to increase the limits. Please do the following
                        steps
                        before install the demo:', 'thecx') ?></p>
                    <ol>
                        <li><?php echo esc_html__('install', 'thecx') ?> <strong><?php echo esc_html__('PHP Settings', 'thecx') ?></strong> <?php echo esc_html__('plugin', 'thecx') ?></li>
                        <li><?php echo esc_html__('Go to', 'thecx') ?> <strong><?php echo esc_html__('Tools -> PHP Settings', 'thecx') ?></strong></li>

                        <li><?php echo esc_html__('Add this limits:', 'thecx') ?>
                            <ul>
                                <li><?php echo esc_html__('max_execution_time = 2000', 'thecx') ?></li>
                                <li><?php echo esc_html__('memory_limit = 512M', 'thecx') ?></li>
                                <li><?php echo esc_html__('post_max_siz = 256M', 'thecx') ?></li>
                                <li><?php echo esc_html__('upload_max_filesize = 256M', 'thecx') ?></li>
                            </ul>
                        </li>
                        <li><?php echo esc_html__('Hit Save Settings', 'thecx') ?></li>
                        <?php
                        ?>
                    </ol>

                </div>
            </div>

            <?php add_thickbox(); ?>
            <div class="import-popup" id="my-content-id" style="display:none;">
                <tr>
                    <td style="display:none;"></td>
                    <td>
                        <em class="wd-field-description"><?php echo esc_html__('Import Type', 'thecx'); ?>
                            : </em>
                        <select name="import_option" id="import_option" class="form-control wd-form-element">
                            <option value=""><?php echo esc_html__('Please Select', 'thecx'); ?></option>
                            <option value="complete_content"><?php echo esc_html__('All', 'thecx'); ?></option>
                            <option value="content"><?php echo esc_html__('Content', 'thecx'); ?></option>
                            <option value="widgets"><?php echo esc_html__('Widgets', 'thecx'); ?></option>
                            <option value="options"><?php echo esc_html__('Options', 'thecx'); ?></option>
                            <option value="menus"><?php echo esc_html__('Menus', 'thecx'); ?></option> 
                            <option value="elementor_content"><?php echo esc_html__('Elementor', 'thecx'); ?></option>
                        </select>
                    </td>
                </tr>
                <tr id="tr_import_attachments" style="display:none;">
                    <td style="display: none;"></td> 
                    <td><div class="import-content">
                        <input type="checkbox" value="1" class="wd-form-element" name="import_attachments" id="import_attachments" />
                        <p><?php echo esc_html__('Do you want to import media files?', 'thecx'); ?></p> 
                    </div>
                    </td>
                </tr>
                <tr id="tr_delete_menus" style="display:none;">
                    <td style="display: none;"></td>
                    <td><div class="import-content">
                       <input type="checkbox" value="1" class="wd-form-element" name="delete_menus" id="delete_menus" />
                        <p><?php echo esc_html__('Do you want to delete all existing menus?', 'thecx'); ?></p>
                     </div>
                     </td>
                </tr>
                <tr>
                    <td style="display: none;"></td>
                    <td>
                        <input type="submit" class="import_demo button button-primary" value="<?php echo esc_html__('Import', 'thecx'); ?>" name="import" id="import_demo_data" />
                        <img id="loading_gif" src="<?php echo get_template_directory_uri() . '/images/loading_import.gif'; ?>" style="margin-left:20px; display:none" />
                        <img id="OK_result" src="<?php echo get_template_directory_uri() . '/images/OK_result.png'; ?>" style="margin-left:20px; display:none" />
                        <img id="NOK_result" src="<?php echo get_template_directory_uri() . '/images/NOK_result.png'; ?>" style="margin-left:20px; display:none" />
                    </td>
                </tr>
                <tr>
                    <td style="display: none;"></td>
                    <td>
                        <span><?php esc_html__('The import process may take some time. Please be patient.', 'thecx') ?> </span><br />
                        <div class="import_load">
                            <div class="wd-progress-bar-wrapper html5-progress-bar">
                                <div class="progress-bar-wrapper">
                                    <progress id="progressbar" value="0" max="100"></progress>
                                </div>
                                <div class="progress-value">0%</div>
                                <div class="progress-bar-message"></div>
                                <div class="error-message" style="color:#990000; font-weight:bold;"></div>
                            </div>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td style="display: none;"></td>
                    <td style="text-align: center;">
                        <div class="alert alert-warning">
                            <strong><?php esc_html__('Important notes:', 'thecx') ?></strong>
                            <ul>
                                <li><?php esc_html__('Please note that import process will take time needed to download all attachments from demo web site.', 'thecx'); ?></li>
                                <li> <?php esc_html__('If you plan to use shop, please install <b>WooCommerce</b> before you run import.', 'thecx') ?></li>
                            </ul>
                        </div>
                    </td>
                </tr>

            </div>

        </div>
<?php
    }
}
