<?php
return array(
    array(
        "label" => esc_html__('Boxed Layout', 'thecx'),
        "id" => "boxed_layout",
        "type" => "checkbox",
        "defaultValue" => WD_BOXED_LAYOUT,
        "parentSection" => "General Settings",
        "group" => "General Settings",
        "description" => esc_html__("The boxed layout has a padding around the main wrapper", 'thecx'),
    ),
    
   
    array(
        "label" => esc_html__("Limit header width to grid layout", 'thecx'),
        "id" => "header_contain_to_grid",
        "type" => "checkbox",
        "defaultValue" => WD_HEADER_CONTAIN_TO_GRID,
        "parentSection" => "General Settings",
        "group" => "General Settings",
        "description" => esc_html__("Make header in grid", 'thecx'),
    ),
    array(
        "label" => esc_html__("Main Menu style", 'thecx'),
        "id" => "menu_style",
        "type" => "dropdown",
        "defaultValue" => array("Corporate" => "corporate"),
        "parentSection" => "General Settings",
        "group" => "Menu Settings",
        "description" => esc_html__("Collection of styles to customize the Menu", 'thecx'),
    ),
    array(
        "label" => esc_html__("Main Menu Align", 'thecx'),
        "id" => "menu_align",
        "type" => "dropdown",
        "defaultValue" => array("Left" => "left",
                                "Center" => "center"),
        "parentSection" => "General Settings",
        "group" => "Menu Settings",
        "description" => esc_html__("Select the position of main menu", 'thecx'),
    ),
    array(
        "label" => esc_html__("Stick the menu to Top", 'thecx'),
        "id" => "stick_menu_to_top",
        "type" => "checkbox",
        "defaultValue" => WD_STICK_MENU_TO_TOP,
        "parentSection" => "General Settings",
        "group" => "Menu Settings",
        "description" => esc_html__("Fixed menu in top on scroll", 'thecx'),
    ),
    array(
        "label" => esc_html__("Menu Mobile layout", 'thecx'),
        "id" => "menu_mobile_layout",
        "type" => "checkbox",
        "defaultValue" => WD_MENU_MOBILE_LAYOUT,
        "parentSection" => "General Settings",
        "group" => "Menu Settings",
        "description" => esc_html__("collection of styles to customize the Menu", 'thecx'),
    ),
    array(
        "label" => esc_html__("Menu max width", 'thecx'),
        "id" => "menu_max_width",
        "type" => "text",
        "defaultValue" => "",
        "parentSection" => "General Settings",
        "group" => "Menu Settings",
        "description" => esc_html__("Menu max width ex: 200px", 'thecx'),
    ),
    array(
        "label" => esc_html__("Page Loading Animation", 'thecx'),
        "id" => "page_loading_animation",
        "type" => "checkbox",
        "defaultValue" => WD_PAGE_LOADING_ANIMATION,
        "parentSection" => "General Settings",
        "group" => "General Settings",
        "description" => esc_html__("Add page preloader animation ", 'thecx'),
    ),

    array(
        "label" => esc_html__("Call to Action Button", 'thecx'),
        "id" => "wd_call_to_action",
        "type" => "textarea",
        "defaultValue" => "Call to Action Button",
        "parentSection" => "General Settings",
        "group" => "General Settings",
        "description" => esc_html__("The content of call action button in header", 'thecx'),
    ),
    array(
        "label" => esc_html__("Find out more Button", 'thecx'),
        "id" => "find_out_more",
        "type" => "textarea",
        "defaultValue" => "Find out more Button",
        "parentSection" => "General Settings",
        "group" => "General Settings",
        "description" => esc_html__("Add more button using html markup", 'thecx'),
    ),
    array(
        "label" => esc_html__("Body Background image", 'thecx'),
        "id" => "body_background_image",
        "type" => "imgupload",
        "defaultValue" => "",
        "parentSection" => "General Settings",
        "group" => "General Settings",
        "description" => esc_html__("The main wrapper image, when we have a boxed layout", 'thecx'),
    ),
    array(
        "label" => esc_html__("Show the Logo", 'thecx'),
        "id" => "show_the_logo",
        "type" => "checkbox",
        "defaultValue" => WD_SHOW_THE_LOGO,
        "parentSection" => "General Settings",
        "group" => "Logo Settings",
        "description" => esc_html__("", 'thecx'),
    ),
    array(
        "label" => esc_html__("Show Website Title", 'thecx'),
        "id" => "show_website_title",
        "type" => "checkbox",
        "defaultValue" => WD_SHOW_WEBSITE_TITLE,
        "parentSection" => "General Settings",
        "group" => "Logo Settings",
        "description" => esc_html__("", 'thecx'),
    ),
    array(
        "label" => esc_html__("Logo link", 'thecx'),
        "id" => "logo_link",
        "type" => "imgupload",
        "defaultValue" => "Logo link",
        "parentSection" => "General Settings",
        "group" => "Logo Settings",
        "description" => esc_html__("The logo link using wordpress library", 'thecx'),
    ),
    array(
        "label" => esc_html__("Logo Height", 'thecx'),
        "id" => "logo_height",
        "type" => "text",
        "defaultValue" => "",
        "parentSection" => "General Settings",
        "group" => "Logo Settings",
        "description" => esc_html__("Fixed max height logo", 'thecx'),
    ),
    array(
        "label" => esc_html__("Logo Padding", 'thecx'),
        "id" => "logo_padding",
        "type" => "text",
        "defaultValue" => "",
        "parentSection" => "General Settings",
        "group" => "Logo Settings",
        "description" => esc_html__("Add padding to logo ex: 10px 10px 10px 10px", 'thecx'),
    ),
   
    array(
        "label" => esc_html__("Title Bar background image", 'thecx'),
        "id" => "title_page_bg",
        "type" => "imgupload",
        "defaultValue" => "",
        "parentSection" => "General Settings",
        "group" => "Page Settings",
        "description" => esc_html__("Change your default title bar using wordpress library", 'thecx'),
    ),
    array(
        "label" => esc_html__("Titlebar Padding", 'thecx'),
        "id" => "titlebar_padding",
        "type" => "text",
        "defaultValue" => "230px 0 60px",
        "parentSection" => "General Settings",
        "group" => "Page Settings",
        "description" => esc_html__("Add padding to titlebar ex: 230px 0 60px", 'thecx'),
    ),
    array(
        "label" => esc_html__("Titlebar Text Align", 'thecx'),
        "id" => "titlebar_align",
        "type" => "dropdown",
        "defaultValue" => array("Center" => "center", "Left" => "left", "Right" => "right"),
        "parentSection" => "General Settings",
        "group" => "Page Settings",
        "description" => esc_html__("Set text align for the titebar text", 'thecx'),
    ),
    array(
        "label" => esc_html__("Page Title Font Size", 'thecx'),
        "id" => "page_title_font_size",
        "type" => "text",
        "defaultValue" => "54px",
        "parentSection" => "General Settings",
        "group" => "Page Settings",
        "description" => esc_html__("Set the font-size of page title, ex: 36px", 'thecx'),
    ),
    array(
        "label" => esc_html__("Page Title Padding", 'thecx'),
        "id" => "page_title_padding",
        "type" => "text",
        "defaultValue" => "0 15px 40px 15px",
        "parentSection" => "General Settings",
        "group" => "Page Settings",
        "description" => esc_html__("Set the padding of page title, ex: 0 15px 40px 15px", 'thecx'),
    ),
    array(
        "label" => esc_html__("Google Key Map", 'thecx'),
        "id" => "google_key_map",
        "type" => "text",
        "defaultValue" => "Google Key Map",
        "parentSection" => "General Settings",
        "group" => "Site data",
        "description" => esc_html__("Generate your key maps from google API and pasted here", 'thecx'),
    ),
);