<?php
return array(
    array(
        "label" => esc_html__("Use Default Template Fonts", 'thecx'),
        "id" => "use_default_font",
        "type" => "checkbox",
        "defaultValue" => WD_USE_DEFAULT_FONT,
        "parentSection" => "Fonts Settings",
        "group" => "General",
        "description" => esc_html__("", 'thecx'),
    ),
    array(
        "label" => esc_html__("Main Typography", 'thecx'),
        "id" => "body",
        "type" => "font",
        "defaultValue" => thecx_google_fonts_array(),
        "parentSection" => "Fonts Settings",
        "group" => "Main Typography",
        "description" => esc_html__("Main Typography", 'thecx'),
    ),
    array(
        "label" => esc_html__("Head Typography", 'thecx'),
        "id" => "head",
        "type" => "font",
        "defaultValue" => thecx_google_fonts_array(),
        "parentSection" => "Fonts Settings",
        "group" => "Head Typography",
        "description" => esc_html__("Head Typography", 'thecx'),
    ),
    array(
        "label" => esc_html__("Navigation Typography", 'thecx'),
        "id" => "nav",
        "type" => "font",
        "defaultValue" => thecx_google_fonts_array(),
        "parentSection" => "Fonts Settings",
        "group" => "Navigation Typography",
        "description" => esc_html__("Navigation Typography", 'thecx'),
    ),
    array(
        "label" => esc_html__("Custom font", 'thecx'),
        "id" => "custom_font",
        "type" => "custom_font",
        "defaultValue" => "",
        "parentSection" => "Fonts Settings",
        "group" => "Add Custom Fonts",
        "description" => esc_html__("Navigation Typography", 'thecx'),
    ),
);