<?php

global $vc_add_css_animation;
/* recent blog
---------------------------------------------------------- */
vc_map(array(
	"name" => esc_html__("Recent blog", 'thecx'),
	"base" => "wd_blog",
	"icon" => get_template_directory_uri() . "/images/icon/meknes.png",
	"content_element" => true,
	"is_container" => FALSE,
	"category" => 'Webdevia',
	"params" => array(
		array(
			"type" => "textfield", // it will bind a textfield in WP
			"heading" => esc_html__("Items to display", 'thecx'),
			"param_name" => "itemperpage",
		),
		array(
			"type" => "dropdown", // it will bind a textfield in WP
			"heading" => esc_html__("Columns", 'thecx'),
			"param_name" => "columns",
			"value" => array('1', '2', '3', '4', '5', '6', '7'),
		),
		array(
			"type" => "checkbox",
			"heading" => esc_html__("Display thumbnail", 'thecx'),
			"param_name" => "show_thumbnail",
			"std" => "yes",
			'value' => array(esc_html__('Yes, please', 'thecx') => 'yes'),
		),
        array(
			"type" => "checkbox",
			"heading" => esc_html__("Display Post info", 'thecx'),
            "discription"=>esc_html__("Display Date / user / category", 'thecx'),
			"param_name" => "show_meta",
			"std" => "yes",
			'value' => array(esc_html__('Yes, please', 'thecx') => 'yes'),
		),
        array(
			"type" => "checkbox",
			"heading" => esc_html__("Hide Post Excerpt", 'thecx'),
			"param_name" => "hide_excerpt",
			"std" => "yes",
			'value' => array(esc_html__("Please, don't display it", 'thecx') => 'yes'),
		),
        array(
			"type" => "checkbox",
			"heading" => esc_html__("Display Read more button", 'thecx'),
			"param_name" => "show_readmore",
			"std" => "yes",
			'value' => array(esc_html__('Yes, please', 'thecx') => 'yes'),
		),
		$vc_add_css_animation


	)
));