jQuery(document).ready(function ($) {
	"use strict";

	var wd_obj = {
		body: $('body'),
		another: 'woof'
	};

	//   Smooth page transition
	if (wd_obj.body.hasClass("wd_page_transitions")) {
		var ctrlKey = false;
		$(document).on('keyup keydown', function (e) {
			ctrlKey = e.ctrlKey;
		});
		var i = $("a");
		i.on("click", function (e) {
			// control-click
			if (ctrlKey) {
				return
			} else {
				var a = $(this);
				if (a.attr("href").split("#")[0] !== window.location.href.split("#")[0] && a.attr("href").charAt(0) !== "#") {
					e.preventDefault()
					$('body').css('overflow-y', 'auto');
					$('.page-loading').fadeIn(800, "easeInOutCirc");
					TweenMax.to($('.page-loading .double-bounce1'),.3,{scale: 1});
					TweenMax.to($('.page-loading .double-bounce1'),.3,{
						animationName: 'sk-bounce',
						animationDuration: '2s',
						animationIterationCount: 'infinite',
						animationTimingFunction: 'ease-in-out',
					});
					$('#spaces-main').fadeOut(800, "easeInOutCirc", function () {
						window.location = a.attr("href")
					})
				}
			}
		})
	}

	// Remove page loading animation
	setTimeout(function(){
        TweenMax.to($('.page-loading .double-bounce1'),.3,{animation:'none',scale: 30});
        //TweenMax.to($('.page-loading'),.8, {autoAlpha:0,display:"none"});
		$('.page-loading').fadeOut(800, "easeInOutCirc");

		$('body').css('overflow-y', 'auto');
	}, 1700);







	//======================= SVG animation ==========================
	jQuery('.text-icon').hover(
		function () {
			TweenMax.to(this,.3,{overflow: 'hidden'});
			TweenMax.to($(this).find('svg'),.3,{overflow: 'visible'});
			TweenMax.to($(this).find('svg circle'),.3,{scale:4, opacity: .08, transformOrigin:"0% 0%"});
		}, function() {
			TweenMax.to($(this).find('svg circle'),.3,{scale:1, opacity: 1});
		}
	);




	//======================= hide & show Header on scroll =========================
	$(window).scroll(function () {
		var scroll = $(window).scrollTop();
		if (scroll >= 50) {
			$(".top-bar-container.sticky").addClass("fixed");
		} else {
			$(".top-bar-container.sticky").removeClass("fixed");
		}
	});
	function thecx_hasScrolled() {
		"use strict";
		var l = jQuery(window).scrollTop();
		Math.abs(lastScrollTop - l) <= scrollAmount || (l > lastScrollTop && l > navbarHeight ? jQuery(".slideUp").css({top: -jQuery(window).outerHeight()}) : l + jQuery(window).height() < jQuery(document).height() && jQuery(".slideUp").css({top: 0}), lastScrollTop = l)

	}

	var jQuerywindow = jQuery(window),
		didScroll, lastScrollTop = 0, scrollAmount = 10,
		navbarHeight = jQuery(".slideUp").outerHeight();
	jQuery(window).scroll(function (l) {
		didScroll = !0
	}), setInterval(function () {
		didScroll && (thecx_hasScrolled(), didScroll = !1)
	}, 250);

});