<article <?php post_class("wd-post"); ?> >
  <div class="wd-post__thumbnail">
    <?php the_post_thumbnail('thecx_blog-thumb'); ?>
  </div>

  <div class="wd-post__content">
   
    <ul class="wd-post__meta clearfix">
      <li><?php echo get_the_date(); ?></li>
      <li><?php echo esc_html__('By:','thecx');  the_author() ?></li>
      <li><?php the_category(', '); ?></li>
      <li><?php comments_number( 'no comments', 'one comment', '% comments' ); ?></li>
    </ul>
    <h4 class="wd-post__title">
      <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
    </h4>
    <p class="wd-post__body">
      <?php echo wp_trim_words(get_the_content(),60); ?>
    </p>
    <div class="wd-post__read-more">
      <a href="<?php the_permalink(); ?>">
        <?php echo esc_html__('Read More', 'thecx'); ?>
        <img src="<?php echo get_template_directory_uri()."/images/more.svg" ?>" alt="<?php echo esc_attr__('icon','thecx') ?>">
      </a>
    </div>
  </div>

</article>