<?php

$thecx_custom_css .= "
    :root {
      --text-color:               " . esc_html(thecx_get_option('text_color', WD_TEXT_COLOR)) . ";
      --primary-color:            " . esc_html(thecx_get_option('primary_color', WD_PRIMARY_COLOR)) . ";
      --primary-color-contrast:   " . esc_html(thecx_get_option('primary_color_contrast', WD_PRIMARY_COLOR_CONTRAST)) . ";
      --secondary-color:          " . esc_html(thecx_get_option('secondary_color', WD_SECONDARY_COLOR)) . ";
      --accent-color:             " . esc_html(thecx_get_option('accent_color', WD_ACCENT_COLOR)) . ";

      --secondary-text-color:             " . esc_html(thecx_get_option('secondary_text_color')) . ";

      
      --gray-1-color:             " . esc_html(thecx_get_option('gray_1_color', WD_GRAY_1_COLOR)) . ";
      --gray-2-color:             " . esc_html(thecx_get_option('gray_2_color', WD_GRAY_2_COLOR)) . ";
      --gray-3-color:             " . esc_html(thecx_get_option('gray_3_color', WD_GRAY_3_COLOR)) . ";
      --gray-4-color:             " . esc_html(thecx_get_option('gray_4_color', WD_GRAY_4_COLOR)) . ";

      --border-color:             #E6E6F1;
      
      --title-page-background: url(". esc_html(thecx_get_option('title_page_bg')).");
      --titlebar-font-size:       " . esc_html(thecx_get_option('page_title_font_size', WD_PAGE_TITLE_FONT_SIZE)) . ";
      --titlebar-aling:           " . esc_html(thecx_get_option('titlebar_align', WD_PAGE_TITLEBAR_ALIGN)) . ";
      --titlebar-title-padding:   " . esc_html(thecx_get_option('page_title_padding', WD_PAGE_TITLEBAR_TITLE_PADDING)) . ";
      --titlebar-padding:         " . esc_html(thecx_get_option('titlebar_padding', WD_PAGE_TITLEBAR_PADDING)) . ";

      --headings-color:           " . esc_html(thecx_get_option('headings-color', WD_HEADINGS_COLOR)) . ";
      --body-background-color:    " . esc_html(thecx_get_option('body_bg_color')) . ";
      
      --topbar-background:        " . esc_html(thecx_get_option('header_bg_color')) . ";
      --topbar-text:              " . esc_html(thecx_get_option('nav_text_color', WD_NAV_TEXT_COLOR)) . ";
      --topbar-sticky-bg:         " . esc_html(thecx_get_option('sticky_nav_bg_color', WD_STICKY_NAV_BG_COLOR)) . ";
      --topbar-sticky-text:       " . esc_html(thecx_get_option('sticky_nav_text_color', WD_STICKY_NAV_TEXT_COLOR)) . ";
      --topbar-hover-sticky-text: " . esc_html(thecx_get_option('hover_sticky_nav_text_color', WD_HOVER_STICKY_NAV_TEXT_COLOR)) . ";
      --topbar-hover-text:        " . esc_html(thecx_get_option('hover_nav_text_color', WD_HOVER_NAV_TEXT_COLOR)) . ";

   
      --footer-background:        " . esc_html(thecx_get_option('footer_bg_color', WD_FOOTER_BG_COLOR)) . ";
      --footer-background-image: url(" . esc_html(thecx_get_option('footer_bg_img', WD_FOOTER_BACKGROUND_IMAGE)) . ");
      --footer-text-color:        " . esc_html(thecx_get_option('footer_text_color', WD_FOOTER_TEXT_COLOR)) . ";
      --copyright-bg-color:       " . esc_html(thecx_get_option('copyright_bg_color', WD_COPYRIGHT_BG_COLOR)) . ";
      --copyright-text:           " . esc_html(thecx_get_option('copyright_text_color', WD_COPYRIGHT_TEXT_COLOR)) . ";
    }";