<?php
$thecx_style = get_post_meta($thecx_thePageID, 'wd_page_title_area_style', true);
$thecx_page_bg_img = get_post_meta($thecx_thePageID, 'wd_page_title_area_bg_img', true);
$thecx_page_bg_color = get_post_meta($thecx_thePageID, 'wd_page_title_area_bg_color', true);

$thecx_titlebar_priority = "";
if(thecx_get_option('title_page_bg','') != '')
  $thecx_titlebar_priority = 'panel';

  if(get_header_image() != false)
  $thecx_titlebar_priority = 'wpheaderimage';

if(get_post_meta($thecx_thePageID, 'wd_page_title_area_bg_img', true) != '')
  $thecx_titlebar_priority = 'pagesetting';
  
switch ( $thecx_titlebar_priority) {
  case 'wpheaderimage':
    $thecx_page_bg_img = ($thecx_page_bg_color == '') ?  get_header_image() : '';
      break;
  case 'pagesetting':
    $thecx_page_bg_img = get_post_meta($thecx_thePageID, 'wd_page_title_area_bg_img', true);
      break;
    default:
    $thecx_page_bg_img = ($thecx_page_bg_color == '') ? thecx_get_option('title_page_bg','') : '';
}




$title_position = get_post_meta($thecx_thePageID, 'wd_page_title_position', true);
$text_color = get_post_meta($thecx_thePageID, 'wd_page_title_color', true);

$thecx_custom_css .= "
      .titlebar { "
        . thecx_check_if_empty('background-image', "$thecx_page_bg_img")
        . thecx_check_if_empty('background-color', $thecx_page_bg_color)
        . "background-repeat: no-repeat;    
          background-position: center center;
      }
      .titlebar #page-title{ "
        . thecx_check_if_empty('text-align', $title_position)
        . thecx_check_if_empty('color', $text_color)
        . thecx_check_if_empty('color', get_header_textcolor()) . ";
      }
      .top-bar .top-bar-right .menu li a { " 
        . thecx_check_if_empty('color', $text_color) . ";
      }   
      #page-title,
      .breadcrumbs li,
      .breadcrumbs li a { "
        . thecx_check_if_empty('color', $text_color) . ";
      }
      ";


if ($thecx_page_bg_img == "") {

    $thecx_title_bg_image = "";
    if (thecx_get_option('thecx_title_bg_image') != "") {
        $thecx_title_bg_image = thecx_get_option('thecx_title_bg_image');
    }
    $thecx_404_bg_image = thecx_get_option('wd_404_page');
    if ($thecx_title_bg_image !== '') {
        $thecx_custom_css .= "
      .titlebar { "
            . thecx_check_if_empty('background-image', "$thecx_title_bg_image")
            . thecx_check_if_empty('text-align', get_post_meta($thecx_thePageID, 'wd_page_title_position', true)) . ";
      }
    
      #page-title,.breadcrumbs a{ "
            . thecx_check_if_empty('color', get_post_meta($thecx_thePageID, 'wd_page_title_color', true)) . ";
      }
      ";
    }
    if ($thecx_404_bg_image != '') {
        $thecx_custom_css .= "
			.corp-titlebar{
				background:url($thecx_404_bg_image)  no-repeat center top;
				background-size: cover;
		 }
		 ";
    }
}else{  
  $thecx_custom_css .= "
  .top-bar-container:not(.fixed) .top-bar-left .logo-wrapper .menu-text a img{
    filter: invert(1);
   }    
   ";
}