<?php

class TheCX_Customizer_Controls_Social_Icons extends thecx_Customizer_Controls {

    public $controls = array();

    public function __construct() {
        $this->section = 'thecx_social_icons';
     //   $this->priority = new thecx_Customizer_Priority(0, 1);

        parent::__construct();

        add_action( 'customize_register', array( $this, 'add_controls' ), 30 );
        add_action( 'customize_register', array( $this, 'set_controls' ), 35 );
    }

    public function add_controls( $wp_customize ) {
        $this->controls = array(
            'wd_options_array[thecx_facebook]' => array(
                'label' => esc_html__( 'Facebook', 'thecx' ),
                'type' => 'text',
                'default' => thecx_get_option('thecx_facebook'),
                'description' => 'Facebook',
                'input_attrs' => array(
                    'placeholder' => esc_html__('Your Facebook Page Link','thecx')
                )
            ),
            'wd_options_array[thecx_twitter]' => array(
                'label' => esc_html__( 'Twitter', 'thecx' ),
                'type' => 'text',
                'default' => thecx_get_option('thecx_twitter'),
                'description' => 'Twitter',
                'input_attrs' => array(
                    'placeholder' => esc_html__('Your Twitter Page Link','thecx')
                )
            ),
            'wd_options_array[thecx_google_plus]' => array(
                'label' => esc_html__( 'Google+', 'thecx' ),
                'type' => 'text',
                'default' => thecx_get_option('thecx_google_plus'),
                'description' => 'Google+',
                'input_attrs' => array(
                    'placeholder' => esc_html__('Your Google+ Page Link','thecx')
                )
            ),
            'wd_options_array[thecx_phone]' => array(
                'label' => esc_html__( 'Phone', 'thecx' ),
                'type' => 'text',
                'default' => thecx_get_option('thecx_phone'),
                'description' => 'Phone',
                'input_attrs' => array(
                    'placeholder' => esc_html__('Your Phone number','thecx')
                )
            ),
            'wd_options_array[thecx_address]' => array(
                'label' => esc_html__( 'Address', 'thecx' ),
                'type' => 'text',
                'default' => thecx_get_option('thecx_address'),
                'description' => 'Address',
                'input_attrs' => array(
                    'placeholder' => esc_html__('Your first Address','thecx')
                )
            )
        );

        return $this->controls;
    }

}

new TheCX_Customizer_Controls_Social_Icons();
