<?php

class TheCX_Customizer_Controls_top_header extends thecx_Customizer_Controls {

	public $controls = array();

	public function __construct() {
		$this->section = 'thecx_top_header';
		//   $this->priority = new thecx_Customizer_Priority(0, 1);

		parent::__construct();

		add_action( 'customize_register', array( $this, 'add_controls' ), 30 );
		add_action( 'customize_register', array( $this, 'set_controls' ), 35 );
	}

	public function add_controls( $wp_customize ) {
		$this->controls = array(
			
			'wd_options_array[wd_call_to_action]'       => array(
				'label'    => esc_html__( 'Call to Action Button', 'thecx' ),
				'type'     => 'textarea',
				'default'  => thecx_get_option( 'wd_call_to_action' ),
				'settings' => 'wd_options_array[wd_call_to_action]'
			),
			'wd_options_array[social_bar_color]'        => array(
				'label'       => esc_html__( 'Social bar color', 'thecx' ),
				'type'        => 'WP_Customize_Color_Control',
				'default'     => thecx_get_option( 'social_bar_color' ),
				'description' => 'thecx social bar color control'
			),
			'wd_options_array[adress_bar_color]'        => array(
				'label'       => esc_html__( 'Address Bar color', 'thecx' ),
				'type'        => 'WP_Customize_Color_Control',
				'default'     => thecx_get_option( 'adress_bar_color' ),
				'description' => 'thecx address bar color control'
			),
			'wd_options_array[language_area_html]'      => array(
				'label'    => esc_html__( 'Custom HTML area', 'thecx' ),
				'type'     => 'textarea',
				'default'  => thecx_get_option( 'language_area_html' ),
				'settings' => 'wd_options_array[language_area_html]'
			),
			'wd_options_array[phone]'                   => array(
				'label'    => esc_html__( 'Your Phone number', 'thecx' ),
				'type'     => 'text',
				'default'  => thecx_get_option( 'phone' ),
				'settings' => 'wd_options_array[phone]'
			),
			'wd_options_array[adress]'                  => array(
				'label'    => esc_html__( 'Your Address', 'thecx' ),
				'type'     => 'text',
				'default'  => thecx_get_option( 'adress' ),
				'settings' => 'wd_options_array[adress]'
			),
			'wd_options_array[time]'                    => array(
				'label'    => esc_html__( 'Your time', 'thecx' ),
				'type'     => 'text',
				'default'  => thecx_get_option( 'time' ),
				'settings' => 'wd_options_array[time]'
			),

		);

		return $this->controls;
	}

}

new TheCX_Customizer_Controls_top_header();
