<?php
$theme_options = array(
    array(
        "name" => esc_html__("General Settings","thecx"),
        "items" => array("General Settings", "Menu Settings", "Logo Settings", "Page Settings", "Site data"),
        'fields' => include get_template_directory() . '/inc/panel/options/general.php',
    ),
    array(
        "name" => esc_html__("Colors Settings","thecx"),
        "items" => array("Color", "Top Bar Color", "Footer Colors"),
        'fields' => include get_template_directory() . '/inc/panel/options/colors.php',
    ),
    array(
        "name" => esc_html__("Fonts Settings","thecx"),
        "items" => array("General","Main Typography", "Head Typography", "Navigation Typography", "Add Custom Fonts"),
        'fields' => include get_template_directory() . '/inc/panel/options/typography.php',
    ),
    array(
        "name" => esc_html__("Blog Settings","thecx"),
        "items" => array("Blog General Settings", "Single Post Settings"),
        'fields' => include get_template_directory() . '/inc/panel/options/blog.php',
    ),
    array(
        "name" => esc_html__("Shop Settings","thecx"),
        "items" => array("404 Page settings", "Shop Page settings"),
        'fields' => include get_template_directory() . '/inc/panel/options/shop.php',
    ),
    array(
        "name" => esc_html__("Footer settings","thecx"),
        "items" => array("Footer settings"),
        'fields' => include get_template_directory() . '/inc/panel/options/footer.php',
    ),
);