<?php
return array(
    array(
        "label" => esc_html__("Text Color", 'thecx'),
        "id" => "text_color",
        "type" => "color",
        "defaultValue" => WD_TEXT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_TEXT_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Primary Color", 'thecx'),
        "id" => "primary_color",
        "type" => "color",
        "defaultValue" => WD_PRIMARY_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_PRIMARY_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Primary color contrast", 'thecx'),
        "id" => "primary_color_contrast",
        "type" => "color",
        "defaultValue" => WD_PRIMARY_COLOR_CONTRAST,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Color to use over the primary color (like text on primary color background): " . WD_PRIMARY_COLOR_CONTRAST, 'thecx'),
    ),
    array(
        "label" => esc_html__("Secondary Color", 'thecx'),
        "id" => "secondary_color",
        "type" => "color",
        "defaultValue" => WD_SECONDARY_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_SECONDARY_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Accent Color", 'thecx'),
        "id" => "accent_color",
        "type" => "color",
        "defaultValue" => WD_ACCENT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_ACCENT_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Text Color", 'thecx'),
        "id" => "text_color",
        "type" => "color",
        "defaultValue" => WD_TEXT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_TEXT_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Secondary Text Color", 'thecx'),
        "id" => "secondary_text_color",
        "type" => "color",
        "defaultValue" => WD_SECONDARY_TEXT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_SECONDARY_TEXT_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Headings Color", 'thecx'),
        "id" => "headings-color",
        "type" => "color",
        "defaultValue" => WD_HEADINGS_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_HEADINGS_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Gray 1 Color", 'thecx'),
        "id" => "gray_1_color",
        "type" => "color",
        "defaultValue" => WD_GRAY_1_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_GRAY_1_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Gray 2 Color", 'thecx'),
        "id" => "gray_2_color",
        "type" => "color",
        "defaultValue" => WD_GRAY_2_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_GRAY_2_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Gray 3 Color", 'thecx'),
        "id" => "gray_3_color",
        "type" => "color",
        "defaultValue" => WD_GRAY_3_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_GRAY_3_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Gray 4 Color", 'thecx'),
        "id" => "gray_4_color",
        "type" => "color",
        "defaultValue" => WD_GRAY_4_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_GRAY_4_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Body Background Color", 'thecx'),
        "id" => "body_bg_color",
        "type" => "color",
        "defaultValue" => WD_BODY_BG_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_BODY_BG_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Header background", 'thecx'),
        "id" => "header_bg_color",
        "type" => "color",
        "defaultValue" => WD_HEADER_BG_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Top Bar Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_HEADER_BG_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Navigation Text Color", 'thecx'),
        "id" => "nav_text_color",
        "type" => "color",
        "defaultValue" => WD_NAV_TEXT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Top Bar Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_NAV_TEXT_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Navigation (sticky) background color", 'thecx'),
        "id" => "sticky_nav_bg_color",
        "type" => "color",
        "defaultValue" => WD_STICKY_NAV_BG_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Top Bar Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_STICKY_NAV_BG_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Navigation (sticky) text color", 'thecx'),
        "id" => "sticky_nav_text_color",
        "type" => "color",
        "defaultValue" => WD_STICKY_NAV_TEXT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Top Bar Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_STICKY_NAV_TEXT_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Navigation (Hover sticky) text color", 'thecx'),
        "id" => "hover_sticky_nav_text_color",
        "type" => "color",
        "defaultValue" => WD_HOVER_STICKY_NAV_TEXT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Top Bar Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_HOVER_STICKY_NAV_TEXT_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Navigation (Hover) text color", 'thecx'),
        "id" => "hover_nav_text_color",
        "type" => "color",
        "defaultValue" => WD_HOVER_NAV_TEXT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Top Bar Color",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_HOVER_NAV_TEXT_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Footer background color", 'thecx'),
        "id" => "footer_bg_color",
        "type" => "color",
        "defaultValue" => WD_FOOTER_BG_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Footer Colors",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_FOOTER_BG_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Footer text color", 'thecx'),
        "id" => "footer_text_color",
        "type" => "color",
        "defaultValue" => WD_FOOTER_TEXT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Footer Colors",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_FOOTER_TEXT_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Copyright background color", 'thecx'),
        "id" => "copyright_bg_color",
        "type" => "color",
        "defaultValue" => WD_COPYRIGHT_BG_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Footer Colors",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_COPYRIGHT_BG_COLOR, 'thecx'),
    ),
    array(
        "label" => esc_html__("Copyright bar text color", 'thecx'),
        "id" => "copyright_text_color",
        "type" => "color",
        "defaultValue" => WD_COPYRIGHT_TEXT_COLOR,
        "parentSection" => "Colors Settings",
        "group" => "Footer Colors",
        "description" => esc_html__("Pick a unlimited main color for the theme default: " . WD_COPYRIGHT_TEXT_COLOR, 'thecx'),
    ),
);