<?php
return array(
    array(
        "label" => esc_html__("Footer columns", 'thecx'),
        "id" => "footer_column",
        "type" => "grid",
        "defaultValue" => array(
            'one_columns' => esc_html__('1 Column', 'thecx'),
            'tow_a_columns' => esc_html__('2 columns (1/2 + 1/2)', 'thecx'),
            'tow_b_columns' => esc_html__('2 columns (1/3 + 2/3)', 'thecx'),
            'tow_c_columns' => esc_html__('2 columns (2/3 + 1/3)', 'thecx'),
            'three_columns' => esc_html__('3 columns', 'thecx'),
            'four_columns' => esc_html__('4 columns', 'thecx'),
        ),
        "parentSection" => "Footer setting",
        "group" => "Footer settings",
        "description" => "",
    ),
    array(
        "label" => esc_html__("Footer background image", 'thecx'),
        "id" => "footer_bg_img",
        "type" => "imgupload",
        "defaultValue" => "",
        "parentSection" => "Footer setting",
        "group" => "Footer settings",
        "description" => "",
    ),
    array(
        "label" => esc_html__("Footer Copyright text", 'thecx'),
        "id" => "copyright_text",
        "type" => "text",
        "defaultValue" => "",
        "parentSection" => "Footer setting",
        "group" => "Footer settings",
        "description" => "",
    ),
    array(
        "label" => esc_html__("Powered by text", 'thecx'),
        "id" => "powered_text",
        "type" => "text",
        "defaultValue" => "",
        "parentSection" => "Footer setting",
        "group" => "Footer settings",
        "description" => "",
    ),
);