<?php

global $vc_add_css_animation;
//-----------------portfolio------------------*/


vc_map(array(
	"name" => esc_html__("Portfolio", 'thecx'),
	"base" => "wd_vc_portfolio",
	"icon" => get_template_directory_uri() . "/images/icon/meknes.png",
	"content_element" => true,
	"is_container" => FALSE,
	"category" => 'Webdevia',
	"params" => array(
		array(
			"type" => "textfield", // it will bind a textfield in WP
			"heading" => esc_html__("Items to display", 'thecx'),
			"param_name" => "itemperpage",
		),
		array(
			"type" => "textfield", // it will bind a textfield in WP
			"heading" => esc_html__("Columns", 'thecx'),
			"param_name" => "columns",
			"default" => 3,
		),
		array(
			"type" => "dropdown", // it will bind a textfield in WP
			"heading" => esc_html__("Layout", 'thecx'),
			"param_name" => "layout",
			"value" => array(
				'Grid' => 'grid',
				'Metro' => 'metro',
			),
		),
		array(
			"type" => "checkbox", // it will bind a textfield in WP
			"heading" => esc_html__("Show Category Filter", 'thecx'),
			"param_name" => "show_cat_filter",
			"value"=>array("yes, Please"=>"yes")
		),
		array(
			"type" => "dropdown", // it will bind a textfield in WP
			"heading" => esc_html__("Style", 'thecx'),
			"param_name" => "style",
			"value" => array(
				'Standard' => 'standard',
				'Overlay' => 'overlay',
				'Overlay Background' => 'overlay-bg',
			),
		),
		$vc_add_css_animation

	)
));